#1722 closed defect (fixed)

FTPD does not handle spaces in filenames

Reported by: Sebastien Bourdeauducq Owned by: Eric Norum
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

FTPD fails to parse correctly FTP commands relating to filenames with spaces in them.

Attachments (1)

ftpd_spaces.diff (3.2 KB) - added by Sebastien Bourdeauducq on Dec 2, 2010 at 8:06:35 PM.
Fix

Download all attachments as: .zip

Change History (3)

Changed on Dec 2, 2010 at 8:06:35 PM by Sebastien Bourdeauducq

Attachment: ftpd_spaces.diff added

Fix

comment:1 Changed on Apr 4, 2011 at 4:12:01 PM by Joel Sherrill

Component: cpukitnetworking
Owner: changed from Joel Sherrill to Eric Norum
Resolution: fixed
Status: newclosed

Patch applied to all applicable branches.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.